ooef(1)

NAME
ooef - OOC error filter

SYNOPSIS
oo2c ... | ooef [options]
ooef [options] <module> <pos>

DESCRIPTION
The filter program ooef can be used to transform error messages, as emitted by oo2c, into a more convenient format. If no module name is given, ooef reads the output of oo2c from stdin, and writes a modified version to stdout. Error messages are rewritten, and the rest of the input is echoed. If a module name and a file position are passed as arguments, appropriate output is generated to designate the given position in the module's source text.

OPTIONS

--context, -c
    Write an extract of the source text and insert additional lines to point to the error position. This is the default setting. Lines are numbered starting at 1.

--line, -l
    Rewrite error message to file:line:error. This will only give an approximation of the exact error position. The first line has the index 1.

--linecol, -L
    Rewrite error message to file:line,column:error. The first line has the number 1, likewise the first column.

--config <file>
    Use given file name for the primary initialization file. An empty name disables parsing of the default initialization file.

--include-config <file>
    Include the given initialization file in addition to the default initialization file.

--version
    Write compiler version and exit.

--help, -h
    Write short usage summary and exit.

ENVIRONMENT
OOC_HOME holds the name of the primary initialization file.

SEE ALSO
oo2c(1), OOC Reference Manual

AUTHOR
Michael van Acken <acken@informatik.uni-kl.de>